import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Message } from '../entity/message.entity';
type modelType = ReturnModelType<typeof Message>;
@Provide()
export class MessageService extends BaseService<modelType> {
  @InjectEntityModel(Message)
  model: modelType;
}
