import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Studio } from '../entity/studio.entity';
type modelType = ReturnModelType<typeof Studio>;
@Provide()
export class StudioService extends BaseService<modelType> {
  @InjectEntityModel(Studio)
  model: modelType;
}
